## vcfanno 0.3.2+ds

=== Makefile ===
all: get build

release:
	CGO_ENABLED=0 GOARCH=amd64 go build -o vcfanno_linux64 --ldflags '-extldflags "-static"' vcfanno.go
	GOOS=darwin GOARCH=amd64 CGO_ENABLED=0 go build -o vcfanno_osx --ldflags '-extldflags "-static"' vcfanno.go

get:
	go get -t ./...

build:
	go build -o vcfanno vcfanno.go

## vcfanno 0.3.2%2Bds

=== debian/control ===
Source: vcfanno
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-biogo-hts-dev,
               golang-gopkg-check.v1-dev,
               golang-toml-dev,
               golang-github-brentp-irelate-dev,
               golang-github-brentp-vcfgo-dev,
               golang-github-brentp-bix-dev,
               golang-github-shenwei356-xopen-dev,
               golang-github-pkg-errors-dev,
               golang-github-brentp-goluaez-dev,
               samtools,
               tabix
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/vcfanno
Vcs-Git: https://salsa.debian.org/med-team/vcfanno.git
Homepage: https://github.com/brentp/vcfanno
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/brentp/vcfanno

Package: vcfanno
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: annotate a VCF with other VCFs/BEDs/tabixed files
 Vcfanno allows you to quickly annotate your VCF with any number of INFO
 fields from any number of VCFs or BED files. It uses a simple conf file
 to allow the user to specify the source annotation files and fields and
 how they will be added to the info of the query VCF.
 .
   * For VCF, values are pulled by name from the INFO field with special
     cases of ID and FILTER to pull from those VCF columns.
   * For BED, values are pulled from (1-based) column number.
   * For BAM, depth (count), "mapq" and "seq" are currently supported.
 .
 Vcfanno is written in go and it supports custom user-scripts written in
 Lua. It can annotate more than 8000 variants per second with 34
 annotations from 9 files on a modest laptop and over 30K variants per
 second using 12 processes on a server.

Package: vcfanno-examples
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: examples for vcfanno: annotate a VCF with other VCFs/BEDs/tabixed files
 Vcfanno allows you to quickly annotate your VCF with any number of INFO
 fields from any number of VCFs or BED files. It uses a simple conf file
 to allow the user to specify the source annotation files and fields and
 how they will be added to the info of the query VCF.
 .
   * For VCF, values are pulled by name from the INFO field with special
     cases of ID and FILTER to pull from those VCF columns.
   * For BED, values are pulled from (1-based) column number.
   * For BAM, depth (count), "mapq" and "seq" are currently supported.
 .
 This package contains a test data set as well as sample scripts
 running some test suite provided by Debian also as autopkgtest.

## vcfanno 0.3.2+ds

=== debian/changelog ===
vcfanno (0.3.2+ds-2) unstable; urgency=medium

  * Re-add Build-Using
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Andreas Tille <tille@debian.org>  Mon, 19 Oct 2020 09:45:17 +0200

vcfanno (0.3.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #965252)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2020 13:49:49 +0200

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_installdocs:
	# Regenerate bam and bam index file
	cat debian/missing-sources/ex.sam| samtools view -Sb - > example/ex.bam
	samtools index example/ex.bam example/ex.bam.bai
	# Remove corrupt gz file
	rm -rf tests/notbgz/notbgz.vcf.gz
	# Regenerate all .tbi files
	tabix example/exac.vcf.gz
	tabix example/fitcons.bed.gz
	tabix tests/astar/astar.anno.vcf.gz
	tabix tests/by_alt_float/annotation.tsv.gz
	tabix tests/citest/at/testexon.bed.gz
	tabix tests/citest/dummyexons.bed.gz
	tabix tests/data/multiple-alts.vcf.gz
	tabix tests/data/number.vcf.gz
	tabix tests/dbnsfp/dbNSFP_example.txt.gz
	tabix tests/dbnsfp/dbNSFP_ex.txt.gz
	tabix tests/id-test/cosmic.small.vcf.gz
	tabix tests/id-test/dbsnp.small.vcf.gz
	tabix tests/id-test/small.vcf.gz
	tabix tests/multiple-alts/ma-db.vcf.gz
	tabix tests/notbgz/gno.vcf.gz
	tabix tests/overwrite-multiple-alts/a/whole.vcf.gz
	tabix tests/overwrite-multiple-alts/b/cadd_indels.vcf.gz
	tabix tests/overwrite-multiple-alts/b/whole_genome_snv_slice.vcf.gz
	tabix tests/ref-alt-test/tmp_annotation.txt.gz
	tabix tests/ref-alt-test/tmp_calls.vcf.gz
	tabix tests/testVA/test-gnomad.vcf.gz
	tabix docs/examples/gff_sv/genes.gff3.gz
	dh_installdocs

=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds" \
https://github.com/brentp/vcfanno/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## vcfanno 0.3.3%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vcfanno
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -17,7 +17,7 @@
                golang-github-brentp-goluaez-dev,
                samtools,
                tabix
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/vcfanno
 Vcs-Git: https://salsa.debian.org/med-team/vcfanno.git
 Homepage: https://github.com/brentp/vcfanno
@@ -49,6 +49,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: examples for vcfanno: annotate a VCF with other VCFs/BEDs/tabixed files
  Vcfanno allows you to quickly annotate your VCF with any number of INFO
  fields from any number of VCFs or BED files. It uses a simple conf file

## vcfanno 0.3.3+ds

=== debian/changelog ===
vcfanno (0.3.3+ds-2) unstable; urgency=medium

  * Team upload.
  * B-D on golang-github-burntsushi-toml-dev instead
    of golang-toml-dev (Closes: #1017778)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Aug 2022 18:01:43 +0530

vcfanno (0.3.3+ds-1) unstable; urgency=medium

  * New upstream version 0.3.3+ds
  * Fix copyright with cme

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 02:48:39 +0530

vcfanno (0.3.2+ds-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * No tab in license text (routine-update)
  * Apply multi-arch hints.
    + vcfanno-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:43:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                golang-any,
                golang-github-biogo-hts-dev,
                golang-gopkg-check.v1-dev,
-               golang-toml-dev,
+               golang-github-burntsushi-toml-dev,
                golang-github-brentp-irelate-dev,
                golang-github-brentp-vcfgo-dev,
                golang-github-brentp-bix-dev,
@@ -17,7 +17,7 @@
                golang-github-brentp-goluaez-dev,
                samtools,
                tabix
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/vcfanno
 Vcs-Git: https://salsa.debian.org/med-team/vcfanno.git
 Homepage: https://github.com/brentp/vcfanno

## vcfanno 0.3.5%2Bds

=== debian/changelog ===
vcfanno (0.3.5+ds-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 08:44:41 +1000

vcfanno (0.3.5+ds-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 09:04:55 +1000

vcfanno (0.3.5+ds-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 13:49:26 +0530

vcfanno (0.3.5+ds-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Clean generated files from override_dh_installdocs
    (Closes: #1049212, #1049762)

 -- Lance Lin <lq27267@gmail.com>  Mon, 18 Dec 2023 22:24:37 +0700

vcfanno (0.3.5+ds-1) unstable; urgency=medium

  * New upstream version 0.3.5+ds
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:14:51 +0530

vcfanno (0.3.4+ds-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Nov 2022 21:17:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: vcfanno
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
@@ -17,7 +18,7 @@
                golang-github-brentp-goluaez-dev,
                samtools,
                tabix
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/vcfanno
 Vcs-Git: https://salsa.debian.org/med-team/vcfanno.git
 Homepage: https://github.com/brentp/vcfanno

## vcfanno 0.3.5+ds

=== debian/changelog ===
vcfanno (0.3.5+ds-3) unstable; urgency=medium

  * Skip creating tbi file for annotations tsv and a couple of other
    files which fail (Closes: #1114433)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Sep 2025 22:04:08 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vcfanno
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional

## vcfanno 0.3.7+ds

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,11 @@
 all: get build
 
-release:
+mod_tidy:
+	go mod tidy
+
+release: mod_tidy
 	CGO_ENABLED=0 GOARCH=amd64 go build -o vcfanno_linux64 --ldflags '-extldflags "-static"' vcfanno.go
+	CGO_ENABLED=0 GOARCH=arm64 go build -o vcfanno_linux_aarch64 --ldflags '-extldflags "-static"' vcfanno.go
 	GOOS=darwin GOARCH=amd64 CGO_ENABLED=0 go build -o vcfanno_osx --ldflags '-extldflags "-static"' vcfanno.go
 
 get:

=== debian/changelog ===
vcfanno (0.3.7+ds-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.3.7+ds
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders
  * Tighten B-D on brentp-{bix,vcfgo}

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Oct 2025 21:57:12 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vcfanno
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -10,18 +10,17 @@
                golang-gopkg-check.v1-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-brentp-irelate-dev,
-               golang-github-brentp-vcfgo-dev,
-               golang-github-brentp-bix-dev,
+               golang-github-brentp-vcfgo-dev (>= 0.0~git20250902.a31336c-1~),
+               golang-github-brentp-bix-dev (>= 0.0~git20250701.000f089+ds-1~),
                golang-github-shenwei356-xopen-dev,
                golang-github-pkg-errors-dev,
                golang-github-brentp-goluaez-dev,
                samtools,
                tabix
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/vcfanno
 Vcs-Git: https://salsa.debian.org/med-team/vcfanno.git
 Homepage: https://github.com/brentp/vcfanno
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/brentp/vcfanno
 
 Package: vcfanno

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+execute_before_dh_auto_clean:
+	find . -type f -name *.tbi | xargs rm -rf
+	find . -type f -name ex.bam* | xargs rm -rf
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
@@ -17,13 +21,10 @@
 	tabix example/exac.vcf.gz
 	tabix example/fitcons.bed.gz
 	tabix tests/astar/astar.anno.vcf.gz
-	tabix tests/by_alt_float/annotation.tsv.gz
 	tabix tests/citest/at/testexon.bed.gz
 	tabix tests/citest/dummyexons.bed.gz
 	tabix tests/data/multiple-alts.vcf.gz
 	tabix tests/data/number.vcf.gz
-	tabix tests/dbnsfp/dbNSFP_example.txt.gz
-	tabix tests/dbnsfp/dbNSFP_ex.txt.gz
 	tabix tests/id-test/cosmic.small.vcf.gz
 	tabix tests/id-test/dbsnp.small.vcf.gz
 	tabix tests/id-test/small.vcf.gz
@@ -32,7 +33,6 @@
 	tabix tests/overwrite-multiple-alts/a/whole.vcf.gz
 	tabix tests/overwrite-multiple-alts/b/cadd_indels.vcf.gz
 	tabix tests/overwrite-multiple-alts/b/whole_genome_snv_slice.vcf.gz
-	tabix tests/ref-alt-test/tmp_annotation.txt.gz
 	tabix tests/ref-alt-test/tmp_calls.vcf.gz
 	tabix tests/testVA/test-gnomad.vcf.gz
 	tabix docs/examples/gff_sv/genes.gff3.gz

=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/brentp/vcfanno/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
